/*
 *  LibRoadnav
 *  Debug.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Debugging related functions
///
//////////////////////////////////////////////////////////////////////////////

#ifndef DEBUG_H
#define DEBUG_H

//#define LIBROADNAV_DEBUG

#ifdef LIBROADNAV_DEBUG

#define LibRoadnavDebug0(t, x)					LibRoadnavDebug(t, x, __FILE__, __LINE__)
#define LibRoadnavDebug1(t, x, a)				LibRoadnavDebug(t, x, __FILE__, __LINE__, a)
#define LibRoadnavDebug2(t, x, a, b)			LibRoadnavDebug(t, x, __FILE__, __LINE__, a, b)
#define LibRoadnavDebug3(t, x, a, b, c)			LibRoadnavDebug(t, x, __FILE__, __LINE__, a, b, c)
#define LibRoadnavDebug4(t, x, a, b, c, d)		LibRoadnavDebug(t, x, __FILE__, __LINE__, a, b, c, d)
#define LibRoadnavDebug5(t, x, a, b, c, d, e)	LibRoadnavDebug(t, x, __FILE__, __LINE__, a, b, c, d, e)

void LibRoadnavDebug(wxString strType, wxString strFormat, char * pszFilename, int iLineNumber, ...);
void LibRoadnavDebugDisable();
void LibRoadnavDebugEnable();
wxString LibRoadnavDebugGetFilename();

#else // #ifdef LIBROADNAV_DEBUG

#define LibRoadnavDebug0(t, x)
#define LibRoadnavDebug1(t, x, a)
#define LibRoadnavDebug2(t, x, a, b)
#define LibRoadnavDebug3(t, x, a, b, c)
#define LibRoadnavDebug4(t, x, a, b, c, d)
#define LibRoadnavDebug5(t, x, a, b, c, d, e)

#endif // #ifdef LIBROADNAV_DEBUG

#endif // #ifndef DEBUG_H
