/*
 *  LibRoadnav
 *  UniqueIDGenerator.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains the UniqueIDGenerator class - creates unique UniqueID objects
///
//////////////////////////////////////////////////////////////////////////////

#ifndef UNIQUEIDGENERATOR_H
#define UNIQUEIDGENERATOR_H

#include "UniqueID.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief UniqueIDGenerator class - creates unique UniqueID objects
///
//////////////////////////////////////////////////////////////////////////////
class UniqueIDGenerator
{
	public:
		UniqueIDGenerator();
		~UniqueIDGenerator();

		UniqueID MakeID();

	private:
		UniqueID m_idCurrent;
};

#endif
